Subject: bug#48025: 28.0.50; Add an invocation option to inhibit native-compilation functionality

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Apr 2021 16:34:53 +0300

> Cc: [email-masked]
> From: Phil Sainty <[email-masked]>
> Date: Tue, 27 Apr 2021 16:28:24 +1200
> 
> >> But frankly, I would hesitate to complicate Emacs even for the latter
> >> possibility.  What you ask for doesn't seem to be a user-level
> >> feature, it is mainly important for Emacs developers, and those can
> >> always build 2 separate binaries (e.g., I already did).  Building a
> >> differently-configured Emacs, even from the same Git repository, is so
> >> easy that I don't really see a justification for a feature like you
> >> describe.
> 
> I guess time will tell.  My feeling was that if end users encounter
> native-comp bugs that are not trivial for the maintainers to reproduce
> (e.g. some collection of third-party packages is involved), then it
> might be super helpful to be able to ask them to test with native-comp
> disabled, to confirm whether or not that is a factor.  As many users
> will, in future, be running a native-comp Emacs which has been pre-
> packaged for their OS, they will not easily be able to perform such a
> test without such a feature.

I agree that we should probably revisit the issue after we have more
experience with native-compilation.

> > - inhibit the automatic native compilation of new code with
> >  `comp-deferred-compilation'.
> 
> This, OTOH, doesn't use the "native" keyword at all.
> 
> Could we rename any such variables so that everything to do with
> native compilation includes the word "native"?

Yes, I think it's a good idea.  Perhaps also the commands in comp.el
and even some non-interactive functions?